Skip to main content
GET
/
cost_reports
/
{cost_report_token}
Get cost report by token
curl --request GET \
  --url https://api.vantage.sh/v2/cost_reports/{cost_report_token} \
  --header 'Authorization: Bearer <token>'
{
  "token": "rprt_fb27faa25ef5ea72",
  "title": "Untitled",
  "folder_token": null,
  "saved_filter_tokens": [
    "svd_fltr_dd642aeffbe29367"
  ],
  "business_metric_tokens_with_metadata": [],
  "filter": null,
  "groupings": "service,provider",
  "settings": {
    "include_credits": false,
    "include_refunds": false,
    "include_discounts": true,
    "include_tax": true,
    "amortize": true,
    "unallocated": false,
    "aggregate_by": "cost",
    "show_previous_period": true
  },
  "created_at": "2024-07-03T00:00:00Z",
  "workspace_token": "wrkspc_e5c550d14cfa3101",
  "previous_period_start_date": null,
  "previous_period_end_date": null,
  "start_date": "2024-07-01",
  "end_date": "2024-07-31",
  "date_interval": "this_month",
  "chart_type": "line",
  "date_bin": "cumulative",
  "chart_settings": {
    "y_axis_dimension": "cost",
    "x_axis_dimension": [
      "date"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

cost_report_token
string
required

Response

CostReport model

token
string
required
title
string
required

The title of the CostReport.

Example:

"Production Environment"

business_metric_tokens_with_metadata
object[]
required

The tokens for the BusinessMetrics assigned to the CostReport, the unit scale, and label filter.

filter
string | null
required

The filter applied to the CostReport. Additional documentation available at https://docs.vantage.sh/vql.

created_at
string
required

The date and time, in UTC, the report was created. ISO 8601 Formatted.

Example:

"2021-07-09T00:00:00Z"

workspace_token
string
required

The token for the Workspace the CostReport is a part of.

date_interval
string
required

The date interval of the CostReport.

chart_type
string
required

The chart type of the CostReport.

date_bin
string
required

The date bin of the CostReport.

chart_settings
object
required
folder_token
string | null

The token for the Folder the CostReport is a part of.

saved_filter_tokens
string[] | null

The tokens for the SavedFilters assigned to the CostReport.

groupings
string | null

The grouping aggregations applied to the filtered data.

Example:

"provider, service"

settings
object

Report settings.

previous_period_start_date
string | null

The previous period start date of the CostReport. ISO 8601 Formatted.

Example:

"2024-06-01"

previous_period_end_date
string | null

The previous period end date of the CostReport. ISO 8601 Formatted.

Example:

"2024-06-15"

start_date
string | null

The start date of the CostReports. ISO 8601 Formatted. Overwrites 'date_interval' if set.

Example:

"2024-07-01"

end_date
string | null

The end date of the CostReports. ISO 8601 Formatted. Overwrites 'date_interval' if set.

Example:

"2024-07-15"